Migration - Systemvoraussetzungen

Version

6.0.0 oder neuer

Inhaltsverzeichnis

Bevor Du Shopware 6 installierst, solltest Du überprüfen ob Dein Server die benötigten Systemanforderungen erfüllt. In diesem Artikel zeigen wir Dir welche Voraussetzungen Dein Server haben sollte und wie Du dies leicht mit dem Shopware Migrationsassistenten überprüfen kannst. 

Systemvoraussetzungen

Betriebssystem

Shopware unterstützt generell die meisten Unix basierten Betriebssysteme. Erfahrungsgemäß empfehlen wir aber Shopware 6 auf Ubuntu 18.04 LTS oder macOS Mojave 10.14 zu installieren.

Umgebung

PHP

7.2 oder höher
memory_limit 512M oder höher
max_execution_time 30 Sekunden oder höher
Composer 1.6 oder höher

Extensions:

  • ext-dom
  • ext-fileinfo
  • ext-gd
  • ext-iconv
  • ext-intl
  • ext-json
  • ext-libxml
  • ext-mbstring
  • ext-openssl
  • ext-pcre
  • ext-pdo
  • ext-pdo_mysql
  • ext-phar
  • ext-simplexml
  • ext-xml
  • ext-zip
  • ext-zlib


SQL

MySQL 5.7.21 oder höher
oder
MariaDB 10.3 oder höher
Jeweils mit der Konfiguration group_concat_max_len=320000



JavaScript

Node.js 8.10.0 oder höher
NPM 6.5.0 oder höher



Sonstiges

Apache 2.4 oder höher mit aktiviertem mod-rewrite
Bash
Git

 

Empfohlen

Zend Opcache 256M oder höher
APCu 128M oder höher
Webserver mit HTTP2 Unterstützung
Für die Datenbank Administration empfehlen wir Adminer (https://www.adminer.org/) da dieser eine bessere Unterstützung von binary data types hat. 

 

Shopware Migrationsassistent

Der Shopware Migrationsassistent hilft dir dabei, zu überprüfen, ob Dein aktueller Server und die installierten Plugins die Voraussetzungen erfüllen, um in Shopware 6 migriert zu werden. Du findest den Shopware Migrationsassistenten für Deine Shopware 5 Installation im Shopware Plugin Store.

Nachdem Du das Plugin installiert und anschließend aktiviert hast, lade das Backend ein mal neu. Über einen Klick auf das Fragezeichensymbol in der Menüleiste findest Du nun den Menüpunkt Shopware 6 Update-Check.

 

Voraussetzungen

Der Tab Voraussetzungen zeigt Dir, welche Voraussetzungen für Shopware 6 Dein Server aktuell bereits erfüllt, und an welchen Stellen Du Deinen Server noch vor der Migration konfigurieren solltest. 

Plugins

Im Tab Plugins wird Dir für Deine installierten Plugins angezeigt, ob diese auch für Shopware 6 verfügbar sind und die Konfigurationen übernommen werden können.

vorheriger Schritt    nächster Schritt